Subject: Re: bug#59196: guix pull fails on A20-OlinuXino-LIME2-eMMC

From: Tanguy LE CARROUR <[email-masked]>
Date: Mon, 14 Nov 2022 08:53:41 +0100

Quoting Denis 'GNUtoo' Carikli (2022-11-13 21:54:49)
> On Sun, 13 Nov 2022 11:48:18 +0100
> Tanguy LE CARROUR <[email-masked]> wrote:
> > > Sat, 12 Nov 2022 16:40:20 +0100
> > > Does it also fails with 'guix pull -M 1 -c 1' ?
> [...]
> > I'll try on a brand new SD card, because the one I used is a bit old.
> > 
> > Any other ideas about what might have gone wrong?
> The command I gave sometimes works on 32bit machines with a low
> amount of RAM, so it was worth trying.
> 
> Unfortunately here I'm out of ideas, other people with more experience
> in Guix might know better.
> 
> Also note that I also do have an A20-OlinuXino-LIME2-eMMC, so I might
> be able to run tests too if they are fast to do. Maybe I should try to
> cross compile a rootfs and see if it boots.
> 
> Long time ago it booted if I recall well, and then it stopped working
> but I didn't take the time to track the regression down or to try again.

Good to know.
I don't actually need Guix System on my SBC, but you know, I have it on
my computer @work, @home, on my laptop… so I thought to myself that it
would make more sense to have it everywhere!
Today my computers, tomorrow the world! 😎

-- 
Tanguy